Method: accountTypes.accounts.userListDirectLicenses.list

Lists all user list direct licenses owned by the parent account.

This feature is only available to data partners.

HTTP request

GET https://datamanager.googleapis.com/v1/{parent=accountTypes/*/accounts/*}/userListDirectLicenses

The URL uses gRPC Transcoding syntax.

Path parameters

Parameters
parent

string

Required. The account whose licenses are being queried. Should be in the format accountTypes/{ACCOUNT_TYPE}/accounts/{ACCOUNT_ID}

Query parameters

Parameters
filter

string

Optional. A filter string to apply to the list request. All fields need to be on the left hand side of each condition (for example: user_list_id = 123). Fields must be specified using either all camel case or all snake case. Don't use a combination of camel case and snake case.

Supported Operations:

  • AND
  • =
  • !=
  • >
  • >=
  • <
  • <=

Unsupported Fields:

  • name (use get method instead)
  • historical_pricings and all its subfields
  • pricing.start_time
  • pricing.end_time
pageSize

integer

Optional. The maximum number of licenses to return per page. The service may return fewer than this value. If unspecified, at most 50 licenses will be returned. The maximum value is 1000; values above 1000 will be coerced to 1000.

pageToken

string

Optional. A page token, received from a previous ListUserListDirectLicense call. Provide this to retrieve the subsequent page.

When paginating, all other parameters provided to ListUserListDirectLicense must match the call that provided the page token.

Request body

The request body must be empty.

Response body

Response from the ListUserListDirectLicensesRequest.

If successful, the response body contains data with the following structure:

JSON representation
{
  "userListDirectLicenses": [
    {
      object (UserListDirectLicense)
    }
  ],
  "nextPageToken": string
}
Fields
userListDirectLicenses[]

object (UserListDirectLicense)

The licenses for the given user list in the request.

nextPageToken

string

A token, which can be sent as pageToken to retrieve the next page. If this field is omitted, there are no subsequent pages.

Authorization scopes

Requires the following OAuth scope:

  • https://www.googleapis.com/auth/datamanager